server.port=8329
spring.application.name=zoniot-rmcp-alarm
logging.level.root=info
logging.path=../../logs/zoniot-rmcp-alarm



# mysql
spring.datasource.url=jdbc:mysql://10.0.0.63:3306/rmcp_v2?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=100zone
spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.hikari.max-lifetime=30000

# druid
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.druid.initial-size=5
spring.datasource.druid.min-idle=5
spring.datasource.druid.max-active=20
spring.datasource.druid.max-wait=60000
spring.datasource.druid.time-between-eviction-runs-millis=60000
spring.datasource.druid.min-evictable-idle-time-millis=300000
spring.datasource.druid.validation-query=SELECT 1
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.test-on-borrow=true
spring.datasource.druid.test-on-return=false
spring.datasource.druid.pool-prepared-statements=true
spring.datasource.druid.max-pool-prepared-statement-per-connection-size=20
spring.datasource.druid.filters=stat,wall
spring.datasource.druid.connection-properties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000

# mybatis
mybatis.mapper-locations=classpath:com/zcxk/rmcp/core/mapper/*.xml
mybatis.type-aliases-package=com.zcxk.rmcp.core.entity
mybatis.configuration.map-underscore-to-camel-case=true
mybatis.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis.configuration.use-column-label=true


spring.jackson.time-zone=GMT+8
#spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
#spring.jackson.joda-date-time-format: yyyy-MM-dd HH:mm:ss

# redis
spring.redis.host=10.0.0.63
spring.redis.port=6379
spring.redis.database=2
spring.redis.timeout=36000

# Lettuce
spring.redis.lettuce.pool.max-active=8
spring.redis.lettuce.pool.max-wait=100
spring.redis.lettuce.pool.max-idle=8
spring.redis.lettuce.pool.min-idle=0
spring.redis.lettuce.shutdown-timeout=100




#nacos
spring.cloud.nacos.discovery.server-addr=127.0.0.1:8848


#rabbitmq
spring.rabbitmq.addresses=10.0.0.63:5672
spring.rabbitmq.username=admin
spring.rabbitmq.password=100zone
spring.rabbitmq.virtual-host=/
spring.rabbitmq.connection-timeout=15000
spring.rabbitmq.publisher-confirm-type=correlated
spring.rabbitmq.publisher-returns=true
spring.rabbitmq.template.mandatory=true

#mongodb url
spring.data.mongodb.uri=mongodb://10.0.0.63:27017/meter-reading-database
#spring.data.mongodb.uri=mongodb://127.0.0.1:27017/meter-reading-database
logging.level.org.springframework.data.mongodb.core=DEBUG





